Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMapperCollection Class Reference

`#include <vtkMapperCollection.h>`

Inheritance diagram for vtkMapperCollection:

[legend]
Collaboration diagram for vtkMapperCollection:

[legend]
List of all members.

## Detailed Description

a list of mappers

Date:
  2002/08/26 17:53:18

Revision:
  1.22

vtkMapperCollection represents and provides methods to manipulate a list of mappers (i.e., vtkMapper and subclasses). The list is unsorted and duplicate entries are not prevented.

See also:
  vtkMapper vtkCollection

Created by:
  - Hoffman, Bill
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (39%)
  - Martin, Ken (22%)
  - Hoffman, Bill (21%)
  - Cedilnik, Andy (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkMapperCollection.cxx)`
  - .`h` (`/Rendering/vtkMapperCollection.h)`

Definition at line 51 of file vtkMapperCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
vtkMapper * | GetLastItem ()
void | AddItem (vtkMapper *a)
vtkMapper * | GetNextItem ()
## Static Public Methods
vtkMapperCollection * | New ()
int | IsTypeOf (const char *type)
vtkMapperCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMapperCollection ()
| ~vtkMapperCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkMapperCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 55 of file vtkMapperCollection.h.

## Constructor & Destructor Documentation

vtkMapperCollection::vtkMapperCollection | ( |  | ) | `[inline, protected]`

| Definition at line 74 of file vtkMapperCollection.h.

vtkMapperCollection::~vtkMapperCollection | ( |  | ) | `[inline, protected]`

| Definition at line 75 of file vtkMapperCollection.h.

## Member Function Documentation

vtkMapperCollection* vtkMapperCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

virtual const char* vtkMapperCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkMapperCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkMapperCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkMapperCollection* vtkMapperCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

virtual void vtkMapperCollection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCollection.

void vtkMapperCollection::AddItem | ( | vtkMapper * | a | ) | `[inline]`

| Add an mapper to the list. Definition at line 60 of file vtkMapperCollection.h. References vtkCollection::AddItem().

vtkMapper* vtkMapperCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next mapper in the list. Definition at line 66 of file vtkMapperCollection.h. References vtkCollection::GetNextItemAsObject().

vtkMapper * vtkMapperCollection::GetLastItem | ( |  | ) | `[inline]`

| Get the last mapper in the list. Definition at line 87 of file vtkMapperCollection.h. References vtkCollection::Bottom, and vtkCollectionElement::Item.

The documentation for this class was generated from the following file:

- Rendering/vtkMapperCollection.h